# $Revision: 1.12 $, $Date: 2004/10/01 09:56:51 $
#
# TODO: move scores file to /var/games!
#
# Conditional build:
%bcond_without gtk		# don't build gtk client
%bcond_without curses		# don't build curses client
%bcond_without sdl		# don't use sdl sound output
%bcond_without esd		# don't use esd sound output
#
Summary:	Drug dealing game
Summary(pl):	Gra polegajca na handlowaniu narkotykami
Name:		dopewars
Version:	1.5.9
Release:	4
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/dopewars/%{name}-%{version}.tar.gz
# Source0-md5:	77cdbc59e7550cfda7dfb7f6b7a01050
Patch0:		%{name}-desktop.patch
URL:		http://dopewars.sourceforge.net/
%{?with_sdl:BuildRequires:	SDL-devel >= 1.0.0}
%{?with_sdl:BuildRequires:	SDL_mixer-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.0.20}
BuildRequires:	glib2-devel >= 2.0.0
%{?with_gtk:BuildRequires:	gtk+2-devel >= 2.0.0}
%{?with_curses:BuildRequires:	ncurses-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Based on John E. Dell's old Drug Wars game, dopewars is a simulation
of an imaginary drug market. dopewars is an All-American game which
features buying, selling, and trying to get past the cops!

The first thing you need to do is pay off your debt to the Loan Shark.
After that, your goal is to make as much money as possible (and stay
alive)! You have one month of game time to make your fortune.

dopewars supports multiple players via TCP/IP. Chatting to and
fighting with other players (computer or human) is supported; check
the command line switches (via dopewars -h) for further information.

%description -l pl
dopewars jest symulacj wyimaginowanego narkotykowego rynku, bazujc
na starej grze Drug Wars autorstwa Johna E. Della. Jest to gra w
amerykaskim stylu polegajca na kupowaniu, sprzedawaniu i omijaniu
policji!

Pierwsz rzecz jak trzeba zrobi jest spacenie dugu. Potem celem
jest zdobycie jak najwikszej iloci pienidzy (i przeycie)! Gracz ma
jeden miesic gry na zdobycie fortuny.

W dopewars mona gra z wieloma graczami poprzez TCP/IP. Mona take z
nimi rozmawia i walczy; wicej informacji w opisie parametrw linii
polece (pokae je dopewars -h).

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-plugins \
	--enable-networking \
	%{?with_esd:--with-esd} \
	%{?with_sdl:--with-sdl} \
	%{?with_curses:--enable-curses-client} \
	%{?with_gtk:--enable-gui-client} \
	%{?with_gtk:--enable-gui-server}

%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=${RPM_BUILD_ROOT}

# I think this could be done somehow prettier
mv $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Games/dopewars.desktop $RPM_BUILD_ROOT%{_desktopdir}

rm -f doc/help/Makefile*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/dopewars -C %{_datadir}/dopewars.sco

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog LICENCE README doc/{*.html,help}
%attr(2755,root,games) %{_bindir}/*
%attr(0660,root,games) %config(noreplace) %verify(not size mtime md5) %{_datadir}/dopewars.sco
%{_mandir}/man6/*
%{_libdir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dopewars.spec,v $
Revision 1.12  2004/10/01 09:56:51  paladine
- rel 4 for fixed desktop patch

Revision 1.11  2004/06/01 11:02:50  adamg
- release 3 (with updated desktop patch)

Revision 1.10  2003/12/10 15:48:40  pzurowski
- switched to the new style bconds

Revision 1.9  2003/12/10 15:35:44  grzegol
- _applnkdir -> _desktopdir
- added desktop patch (add pl, Categories and vi-line to .desktop file)
- rel. 2

Revision 1.8  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.7  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.6  2003/06/08 12:45:45  adamg
- updated to 1.5.9

Revision 1.5  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.2  2003/02/17 00:12:08  qboosh
- pl fix, use _pixmapsdir macro, added TODO

Revision 1.1  2003/02/13 11:18:12  grzegol
- spec by Adam Gobiowski <adamg@biomerieux.pl>
- adapterized
- added some bconds
